{% load static %}
<!DOCTYPE html>
<html lang="en" style="height: 100%; overflow-x: hidden;">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>TABLERO DE CONTROL - OPORTUNIDADES DE VENTA</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'vendor/jkanban/jkanban.css' %}">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'css/navbar_dashboard.css' %}">
    <style>
        body {
            font-family: "Lato";
            margin: 0;
            padding: 0;
            font-size: 12px;
        }

        .kanban-board header {
            font-size: 12px;
            padding: 10px 15px 5px 15px;
        }

        .kanban-item {
            margin-bottom: 15px;
            padding: 10px;
        }

        .kanban-board .kanban-drag {
            padding: 12px;
        }

        #myKanban {
            overflow-x: auto;
            padding: 10px 0;
            height: 88%;
        }

        .green {
            background-color: #61bd4f;
        }

        .yellow {
            background-color: #f2d600;
        }

        .orange {
            background-color: #ff9f1a;
        }

        .red {
            background-color: #eb5a46;
        }

        .purple {
            background-color: #c377e0;
        }

        .blue {
            background-color: #0079bf;
        }

        .pink {
            background-color: #ff78cb;
        }

        .black {
            background-color: #4d4d4d;
        }

        .success {
            background: #00B961;
        }

        .info {
            background: #2A92BF;
        }

        .warning {
            background: #F4CE46;
        }

        .error {
            background: #FB7D44;
        }

        .board-header-name {
            font-size: 18px;
            font-weight: 700;
            line-height: 32px;
            padding-left: 12px;
            color: #f6f6f6;
        }

        .label-card, .principal-text-card-item {
            font-family: Helvetica Neue, Arial, Helvetica, sans-serif;
            font-size: 12px;
            line-height: 15px;
            font-weight: 400;
        }

        .list-elements-item {
            padding-left: 0;
            display: inline-block;
        }

        span.label-card {
            float: left;
            font-size: 12px;
            font-weight: 600;
            height: 8px;
            line-height: 100px;
            margin: 0 4px 4px 0;
            max-width: 40px;
            min-width: 40px;
            padding: 0;
            text-shadow: none;
            width: auto;
        }

        .btnCrearTablero {
            font-size: 12px;
            line-height: 1.5;
            padding: 5px 10px;
            color: white;
            background-color: rgb(0, 160, 157);
            margin-left: 12px;
        }

        #containerAddTablero {
            display: none;
            margin-left: 12px;
        }

        .navbar .divider-vertical {
            height: 35px;
            margin: 10px 10px 0;
            border-left: 1px solid #f2f2f2;
            border-right: 1px solid #ffffff;
        }

        @media only screen and (max-width: 800px) {
            .divider-vertical {
                height: 0;
                border-left: 0;
                border-right: 0;
            }
        }

        .rating {
            border: none;
            float: left;
        }

        .rating > input {
            display: none;
        }

        .rating > label:before {
            margin: 5px;
            font-size: 1.25em;
            font-family: FontAwesome;
            display: inline-block;
            content: "\f005";
        }

        .rating > .half:before {
            content: "\f089";
            position: absolute;
        }

        .rating > label {
            color: #ddd;
            float: right;
        }

        /***** CSS Magic to Highlight Stars on Hover *****/

        .rating > input:checked ~ label, /* show gold star when clicked */
        .rating:not(:checked) > label:hover, /* hover current star */
        .rating:not(:checked) > label:hover ~ label {
            color: #FFD700;
        }

        /* hover previous stars in list */

        .rating > input:checked + label:hover, /* hover current star when changing rating */
        .rating > input:checked ~ label:hover,
        .rating > label:hover ~ input:checked ~ label, /* lighten current selection */
        .rating > input:checked ~ label:hover ~ label {
            color: #FFED85;
        }

        .badgets {
            padding-top: 10px;
            padding-bottom: 5px;
        }

        .trello-card--member {
            border-radius: 16px;
            display: block;
            float: left;
            height: 32px;
            margin: 0 4px 4px 0;
            overflow: hidden;
            position: relative;
            width: 32px;
            user-select: none;
        }

        .trello-card--member img {
            width: 100%;
            height: 100%;
            text-align: center;
            object-fit: cover;
        }

        .list-elements-item {
            width: 100%;
        }

        .list-users-card-item {
            display: inline-block;
            float: right;
        }
    </style>
</head>
<body style="height: 100%;">
<div class="classic-body" style="background-color: #5399d5; height: 100%;">
    <div class="row">
        <div class="col-sm-12" style="position: relative; top: 0; ">
            {% if messages %}
            {% include 'basepartials/_messages.html' %}
            {% endif %}
        </div>
    </div>
    <nav class="navbar navbar-icon-top navbar-expand-lg navbar-dark" style="background-color: #337ab7">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent" style="font-size: 12px;">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="{% url 'sale_opportunity:saleopportunity-list' %}">
                        <i class="fa fa-home"></i>
                        Principal
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                <div class="divider-vertical"></div>
                <li class="nav-item">
                    <div class="btn-group">
                        <button id="btn-filtro-bandeja" type="button" class="btn btn-default dropdown-toggle"
                                data-toggle="dropdown"
                                aria-expanded="false">Bandeja de filtros<span class="caret"></span></button>
                        <ul class="dropdown-menu" role="menu" style="min-width: 550px;right: auto;left: 0;">
                            <li class="form-dropdown">
                                <!--<button type="button" class="close" style="width: 30px;height: 30px;" aria-label="Close"><span aria-hidden="true">&times;</span></button>-->
                                <form style="position: relative;" role="form" method="get" action=".">
                                    <div class="form-group">
                                        <div class="row col-md-12 mb-2">
                                            <div class="col-md-6">
                                                {{ filter.form.product.label_tag }}
                                                {{ filter.form.product }}
                                            </div>
                                            <div class="col-md-6">
                                                {{ filter.form.subproduct.label_tag }}
                                                {{ filter.form.subproduct }}
                                            </div>
                                        </div>
                                        <div class="row col-md-12 mb-2">
                                            <div class="col-md-6">
                                                {{ filter.form.client.label_tag }}
                                                {{ filter.form.client }}
                                            </div>
                                            <div class="col-md-6">
                                                {{ filter.form.user.label_tag }}
                                                {{ filter.form.user }}
                                            </div>
                                        </div>
                                        <div class="row col-md-12 mb-2">
                                            <div class="col-md-6">
                                                <label>Rango de fechas de registro</label>
                                                {{ filter.form.dates }}
                                            </div>
                                            <div class="col-md-6">
                                                {{ filter.form.company.label_tag }}
                                                {{ filter.form.company }}
                                            </div>
                                        </div>
                                        <div class="row col-md-12 text-center">
                                            <div class="col-md-12">
                                                <div class="btn-group-lg"></div>
                                                <button class="btn btn-outline-success mt-3" type="submit">Buscar
                                                </button>
                                                <button class="btn btn-outline-danger mt-3" type="button" id="cancel-button">
                                                    Cancelar
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </li>
                        </ul>
                    </div>
                </li>
            </ul>
            <div class="text-center w-100 text-white mt-2">
                <h3>TABLERO DE CONTROL - OPORTUNIDADES DE VENTA</h3>
            </div>
        </div>
    </nav>
    <br>
    <!--<button id="addDefault" class="btnCrearTablero" style="display: none;">Agregar tablero</button>-->
    <div id="containerAddTablero" class="containerTablero" style="display: none">
        <input class="inputCrearTablero" id="titleTablero" style="font-size: 12px;width: 200px;" type="text"
               placeholder="Introduzca el título de la lista..." maxlength="250"/>
        <input id="addTablero" class="btnCrearTablero" type="submit" value="Añadir lista">
    </div>
    <div id="myKanban"></div>
</div>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 id="modal-title">Modal title</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div id="modal-body">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="firstPaymentDateModal" tabindex="-1" role="dialog"
     aria-labelledby="firstPaymentDateModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5>Fecha primer pago</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="form-row">
                    <div class="col-sm-4 offset-sm-2">
                        <div class="form-group">
                            <label for="id_first_payment_year">Año (Facturación)</label>
                            <select class="form-control" id="id_first_payment_year" name="first_payment_year"></select>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="id_first_payment_month">Mes (Facturación)</label>
                            <select class="form-control" id="id_first_payment_month" name="first_payment_month"></select>
                        </div>
                    </div>
                    <input type="hidden" id="opportunity_id">
                    <input type="hidden" id="target">
                    <input type="hidden" id="source">
                </div>
                <div class="form-row">
                    <div class="col-sm-4 offset-sm-2">
                        <div class="form-group">
                            <label for="id_installment_period">Intervalo</label>
                            <input class="form-control" type="number" id="id_installment_period"
                                   name="installment_period" step="1" maxlength="2" max="12" min="1"/>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="id_installments">Cuotas</label>
                            <input class="form-control" type="number" id="id_installments"
                                   name="installments" step="1" maxlength="2" max="99" min="1"/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="changeToPhase06()">Guardar</button>
                <button type="button" class="btn btn-cancel" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="realRevenueModal" tabindex="-1" role="dialog"
     aria-labelledby="firstPaymentDateModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5>Negociación</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="form-row">
                    <div class="col-sm-5">
                        <div class="form-group">
                            <label for="real_revenue">Ingreso real (S/.)</label>
                            <input type="text" class="form-control" id="real_revenue" name="first_payment_year"/>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="unit_length">Unidad de medida</label>
                            <select class="form-control" id="unit_length" name="unit_length">
                                {% for unit_length in units_length %}
                                <option value="{{ unit_length.id }}">{{ unit_length.name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <div class="form-group">
                            <label for="quantity">Cantidad</label>
                            <input type="number" class="form-control" id="quantity" name="quantity"/>
                        </div>
                    </div>
                    <input type="hidden" id="opportunity_id_05">
                    <input type="hidden" id="target_05">
                    <input type="hidden" id="source_05">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="changeToPhase05()">Guardar</button>
                <button type="button" class="btn btn-cancel" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<!--<br>-->
<!--<button id="addToDo">Add element in "To Do" Board</button>-->
<!--<br>-->
<!--<button id="removeBoard">Remove "Done" Board</button>-->
<!--<br>-->
<!--<button id="removeElement">Remove "My Task Test"</button>-->
<script src="{% static 'vendor/jquery/js/jquery-3.3.1.js' %}"></script>
<script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>
<script src="{% static 'vendor/jkanban/jkanban.js' %}"></script>
<script>
    window.urls = {
        apiChangePhaseOpVentas: "{% url 'sale_opportunity:api-change-phase-op-venta' %}",
        detailOp: "{% url 'sale_opportunity:saleopportunity-detail' 999 %}"
    };
    function thousands_separators(num) {
        var num_parts = num.toString().split(".");
        num_parts[0] = num_parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        return "S/" + num_parts.join(".");
    }
</script>
<script src="{% static 'js/sale_opportunity_board.js' %}"></script>
<script>
    $('#exampleModal').on('shown.bs.modal', function () {
        $(document).off('focusin.modal');
    });
    $('#firstPaymentDateModal').on('shown.bs.modal', function() {
        $(document).off('focusin.modal');
    });

    var firstPaymentYear = $('#id_first_payment_year');
    var firstPaymentMonth = $('#id_first_payment_month');
    var months = [
        {"value": 1, "text": "Enero"},
        {"value": 2, "text": "Febrero"},
        {"value": 3, "text": "Marzo"},
        {"value": 4, "text": "Abril"},
        {"value": 5, "text": "Mayo"},
        {"value": 6, "text": "Junio"},
        {"value": 7, "text": "Julio"},
        {"value": 8, "text": "Agosto"},
        {"value": 9, "text": "Setiembre"},
        {"value": 10, "text": "Octubre"},
        {"value": 11, "text": "Noviembre"},
        {"value": 12, "text": "Diciembre"},
    ];

    function updateMonths(year) {
        var newMonths;
        var currentDate = new Date();
        var currentYear = currentDate.getFullYear();

        if (year === currentYear + 1) {
            newMonths = months.slice(0, currentDate.getMonth());
        } else {
            newMonths = months.slice(currentDate.getMonth(), 12);
        }

        firstPaymentMonth.html("<option value=''></option>");
        newMonths.forEach(function(e, i) {
             firstPaymentMonth.append("<option value='"+e.value+"'>"+e.text+"</option>");
        });
    }

    var currentDate = new Date();
    firstPaymentYear.append('<option value=""></option>');
    firstPaymentYear.append('<option value="' + currentDate.getFullYear() + '">' + currentDate.getFullYear() +'</option>');
    firstPaymentYear.append('<option value="' + (currentDate.getFullYear() + 1) + '">' + (currentDate.getFullYear() + 1) +'</option>');

    firstPaymentYear.change(function() {
        updateMonths(parseInt($(this).val()));
    });

    var utilitys = "";
    var changePhase = false;
    var arr = [];
    var sumPartialUtilities;

    function changePhaseAjax (ajaxData) {
        ajaxData["csrfmiddlewaretoken"] = getCookie("csrftoken");

        $.ajax({
            url: window.urls.apiChangePhaseOpVentas,
            data: ajaxData,
            dataType: "json",
            type: "POST",
            success: function (data) {
                changePhase = true;
                utilitys = parseFloat(data[0]).toFixed(2);
            },
            complete: function (xhr, textStatus) {
            },
            error: function (xmlhttprequest, textstatus, message) {
                if (xmlhttprequest.status === 500) {
                    window.location.reload()
                }
            }
        });
    }

    // Negociacion
    function changeToPhase05() {
        var saleCode = $('#opportunity_id_05').val();
        var realRevenue = $('#real_revenue').val();
        var unit_length = $('#unit_length').val();
        var quantity = $('#quantity').val();

        if (realRevenue !== "" && unit_length !== "" && quantity !== "") {
            changePhaseAjax({
                "opventa_code": saleCode,
                "fase_code": "FA-05",
                "real_revenue": realRevenue,
                "quantity": quantity,
                "unit_length": unit_length,
            });

            var el = KanbanTest.findElement(saleCode);
            // Then we remove it from board
            KanbanTest.removeElement(saleCode);
            // And finally, re-add where we want
            KanbanTest.addElement("FA-05", {
                id: saleCode,
                title: el.innerHTML,
                click: el.clickfn,
                dragend: el.dragendfn,
                revenue: el.dataset.revenue,
            });

            // Actualizar datos de boards
            var targetBoardEl = $(KanbanTest.findBoard($('#target_05').val()));
            var totalOnTarget = parseInt(targetBoardEl.find('.total-opportunities').text());
            var probabilityTarget = parseInt(targetBoardEl.find('.probability').text());

            var sourceBoardEl = $(KanbanTest.findBoard($('#source_05').val()));
            var totalOnSource = parseInt(sourceBoardEl.find('.total-opportunities').text());
            var probabilitySource = parseInt(sourceBoardEl.find('.probability').text());

            targetBoardEl.find('.total-opportunities').text(totalOnTarget + 1);
            sourceBoardEl.find('.total-opportunities').text(totalOnSource - 1);

            var sumPartialsTarget = parseFloat(targetBoardEl.find('.sum-partials').data('sum'));
            sumPartialsTarget = sumPartialsTarget + (el.dataset.revenue * probabilityTarget / 100);
            targetBoardEl.find('.sum-partials').text(thousands_separators(sumPartialsTarget.toFixed(2)))
                .data('sum', sumPartialsTarget.toFixed(2));

            var sumPartialsSource = parseFloat(sourceBoardEl.find('.sum-partials').data('sum'));
            sumPartialsSource = sumPartialsSource - (el.dataset.revenue * probabilitySource / 100);
            sourceBoardEl.find('.sum-partials').text(thousands_separators(sumPartialsSource.toFixed(2)))
                .data('sum', sumPartialsSource.toFixed(2));

            $('#realRevenueModal').modal('hide');
        } else {
            alert("Completar campos o cancelar");
        }
    }

    // Ganada
    function changeToPhase06() {
        var saleCode = $('#opportunity_id').val();
        var year = $('#id_first_payment_year').val();
        var month = $('#id_first_payment_month').val();
        var installments = $('#id_installments').val();
        var installment_period = $('#id_installment_period').val();

        if (year !== "" && month !== "" && installments !== "" && installment_period !== "") {
            changePhaseAjax({
                "opventa_code": saleCode,
                "fase_code": "FA-06",
                "first_payment_year": year,
                "first_payment_month": month,
                "installments": installments,
                "installment_period": installment_period,
            });

            var el = KanbanTest.findElement(saleCode);
            // Then we remove it from board
            KanbanTest.removeElement(saleCode);
            // And finally, re-add where we want
            KanbanTest.addElement("FA-06", {
                id: saleCode,
                title: el.innerHTML,
                click: el.clickfn,
                dragend: el.dragendfn,
                revenue: el.dataset.revenue,
            });

            // Actualizar datos de boards
            var targetBoardEl = $(KanbanTest.findBoard($('#target').val()));
            var totalOnTarget = parseInt(targetBoardEl.find('.total-opportunities').text());
            var probabilityTarget = parseInt(targetBoardEl.find('.probability').text());

            var sourceBoardEl = $(KanbanTest.findBoard($('#source').val()));
            var totalOnSource = parseInt(sourceBoardEl.find('.total-opportunities').text());
            var probabilitySource = parseInt(sourceBoardEl.find('.probability').text());

            targetBoardEl.find('.total-opportunities').text(totalOnTarget + 1);
            sourceBoardEl.find('.total-opportunities').text(totalOnSource - 1);

            var sumPartialsTarget = parseFloat(targetBoardEl.find('.sum-partials').data('sum'));
            sumPartialsTarget = sumPartialsTarget + (el.dataset.revenue * probabilityTarget / 100);
            targetBoardEl.find('.sum-partials').text(thousands_separators(sumPartialsTarget.toFixed(2)))
                .data('sum', sumPartialsTarget.toFixed(2));

            var sumPartialsSource = parseFloat(sourceBoardEl.find('.sum-partials').data('sum'));
            sumPartialsSource = sumPartialsSource - (el.dataset.revenue * probabilitySource / 100);
            sourceBoardEl.find('.sum-partials').text(thousands_separators(sumPartialsSource.toFixed(2)))
                .data('sum', sumPartialsSource.toFixed(2));

            $('#firstPaymentDateModal').modal('hide');
        } else {
            alert("Completar campos o cancelar");
        }
    }

    {% for phase in phases %}
        items = [];
        sumPartialUtilities = 0.0;

        {% for sale in saleOpportunities %}
        var contacto_nombre = "";
        var contacto_celular = "";
            {% if sale.phase.code == phase.code %}
            var revenue = parseFloat("{{ sale.revenue}}").toFixed(2);
            var probability = parseFloat("{{ sale.phase.probability }}").toFixed(2);
            sumPartialUtilities += parseFloat(revenue * probability / 100);
            var attached_files = parseInt("{{ sale.attached_files.count }}");
            var early_deadline = '<span class="mr-2" style="color: green;"><i class="fa fa-clock-o"></i> ({{ sale.early_deadline }})</span>';
            var medium_deadline = '<span class="mr-2" style="color: orange;"><i class="fa fa-clock-o"></i> ({{ sale.medium_deadline }})</span>';
            var late_deadline = '<span class="mr-2" style="color: red;"><i class="fa fa-clock-o"></i>({{ sale.late_deadline }})</span>';
            var priority = '<span class="mr-2" style="color: gold;">';

            switch ("{{ sale.priority.code }}") {
                case 'PRIO-01': priority += '<i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star"></i>'; break;
                case 'PRIO-02': priority += '<i class="fa fa-star"></i><i class="fa fa-star"></i><i class="fa fa-star-o"></i>'; break;
                case 'PRIO-03': priority += '<i class="fa fa-star"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i>'; break;
            }
            priority += '</span>';
            var description = "{{ sale.description }}";

            if (description.length > 45) {
                description = description.substr(0, 45) + "...";
            }

            var title = "<strong>{{ sale.client.name }}</strong>" +
                "<br/> Prod.: {{ sale.subproduct.product.name }} / {{ sale.subproduct.name}} " +
                ((description.length > 0) ? "<br/> " + description : "" )+
                "<br/> Ingreso: "+ thousands_separators(revenue) +
                "<br/> Ejecutivo: {{ sale.user.staff.full_name}}" +
                "<br/> " + priority + early_deadline + medium_deadline + late_deadline +
                "<span class='text-info'><i class='fa fa-file'></i> " + attached_files +"</span>";

            items.push({
                id: "{{ sale.code }}",
                title: title,
                revenue: parseFloat("{{ sale.revenue }}"),
                click: function (el) {
                    window.open(window.urls.detailOp.replace(999, "{{ sale.id }}"), '_self');
                },
                dragend: function (el) {
                    var phaseCode = $(el).parent().parent()[0].dataset.id;

                    if (phaseCode !== 'FA-05' && phaseCode !== 'FA-06') {
                        changePhaseAjax({
                            "opventa_code": el.dataset.eid,
                            "fase_code": $(el).parent().parent()[0].dataset.id,
                        });
                    }
                },
            });
            {% endif %}
        {% endfor %}

        var title = "{{ phase.name }} (<span class='total-opportunities'>"+ items.length + "</span>) </br>" +
            "<span class='sum-partials' data-sum='"+ sumPartialUtilities.toFixed(2) + "'>" + thousands_separators(sumPartialUtilities.toFixed(2)) + "</span>";

        arr.push({
            id: "{{ phase.code }}",
            title: title,
            probability: "{{ phase.probability }}",
            class: "",
            item: items
        });

    {% endfor %}
    var KanbanTest = new jKanban({
        element: '#myKanban',
        gutter: '10px',
        widthBoard: '272px',
        click: function (el) {
            $("#modal-body").val(null).trigger("change");
        },
        buttonClick: function (el, boardId) {
            // create a form to enter element
            var formItem = document.createElement('form');
            formItem.setAttribute("class", "itemform");
            formItem.innerHTML = '<div class="form-group"><textarea class="form-control" rows="2" autofocus></textarea></div><div class="form-group"><button type="submit" class="btn btn-primary btn-xs pull-right">Submit</button><button type="button" id="CancelBtn" class="btn btn-default btn-xs pull-right">Cancel</button></div>'

            KanbanTest.addForm(boardId, formItem);
            formItem.addEventListener("submit", function (e) {
                e.preventDefault();
                var text = e.target[0].value;
                KanbanTest.addElement(boardId, {
                    "title": text,
                });
                formItem.parentNode.removeChild(formItem);
            });
            document.getElementById('CancelBtn').onclick = function () {
                formItem.parentNode.removeChild(formItem)
            }
        },
        dropEl: function (el, target, source, sibling) {
            var isAdmin = "{{ user.is_superuser }}" === "True";

            if (!isAdmin) {
                var phaseCode = $(el).parent().parent()[0].dataset.id;

                if ($(source).parent()[0].dataset.id === 'FA-06') {
                    KanbanTest.drake.cancel(true);
                } else {
                    switch (phaseCode) {
                        case 'FA-06':
                            $('#firstPaymentDateModal').modal('show');
                            $('#opportunity_id').val(el.dataset.eid);
                            $('#id_first_payment_year').val("");
                            $('#id_first_payment_month').val("");
                            $('#target').val($(target).parent()[0].dataset.id);
                            $('#source').val($(source).parent()[0].dataset.id);
                            KanbanTest.drake.cancel(true);
                            break;
                        case 'FA-05':
                            $('#realRevenueModal').modal('show');
                            $('#opportunity_id_05').val(el.dataset.eid);
                            $('#real_revenue').val("");
                            $('#target_05').val($(target).parent()[0].dataset.id);
                            $('#source_05').val($(source).parent()[0].dataset.id);
                            KanbanTest.drake.cancel(true);
                            break;
                        default:
                            var targetBoardEl = $(target).parent();
                            var totalOnTarget = parseInt(targetBoardEl.find('.total-opportunities').text());
                            var probabilityTarget = parseInt(targetBoardEl.find('.probability').text());

                            var sourceBoardEl = $(source).parent();
                            var totalOnSource = parseInt(sourceBoardEl.find('.total-opportunities').text());
                            var probabilitySource = parseInt(sourceBoardEl.find('.probability').text());

                            targetBoardEl.find('.total-opportunities').text(totalOnTarget + 1);
                            sourceBoardEl.find('.total-opportunities').text(totalOnSource - 1);

                            var sumPartialsTarget = parseFloat(targetBoardEl.find('.sum-partials').data('sum'));
                            sumPartialsTarget = sumPartialsTarget + (el.dataset.revenue * probabilityTarget / 100);
                            targetBoardEl.find('.sum-partials').text(thousands_separators(sumPartialsTarget.toFixed(2)))
                                .data('sum', sumPartialsTarget.toFixed(2));

                            var sumPartialsSource = parseFloat(sourceBoardEl.find('.sum-partials').data('sum'));
                            sumPartialsSource = sumPartialsSource - (el.dataset.revenue * probabilitySource / 100);
                            sourceBoardEl.find('.sum-partials').text(thousands_separators(sumPartialsSource.toFixed(2)))
                                .data('sum', sumPartialsSource.toFixed(2));
                            break;
                    }
                }
            } else {
                KanbanTest.drake.cancel(true);
            }
        },
        addItemButton: false,
        boards: arr
    });

    var addBoardDefault = document.getElementById('addTablero');
    addBoardDefault.addEventListener('click', function () {
        KanbanTest.addBoards(
            [{
                "id": "_default",
                "title": $("#titleTablero").val(),
                "item": []
            }]
        );
        $("div#containerAddTablero").hide();
        $("#addDefault").show();
        $("#titleTablero").val("");
    });
    $("#addDefault").click(function () {
        $("div#containerAddTablero").show();
        $("#addDefault").hide();
    });
    $("html, body").click(function (e) {
        //+
        if ($(e.target).hasClass('containerTablero') || $(e.target).hasClass('btnCrearTablero') ||
            $(e.target).hasClass('inputCrearTablero')) {
            return false;
        } else {
            $("div#containerAddTablero").hide();
            $("#addDefault").show();
            $("#titleTablero").val("");
        }
    });

    var allEle = KanbanTest.getBoardElements('FA-01');
    allEle.forEach(function (item, index) {
    });
</script>
<script>
    $('.dropdown-menu a').on('click', function (event) {
        $('#filtro-individual').html($(this).html());
    });
    jQuery('.dropdown-toggle').on('click', function (e) {
        $(this).next().toggle();
    });
    $('#cancel-button').click(function(){
        $('.dropdown-menu').hide();
    });
    jQuery('.dropdown-menu.keep-open').on('click', function (e) {
        e.stopPropagation();
    });
    if (1) {
        $('body').attr('tabindex', '0');
    }
    $(function () {
        $('[id ^=id_dates]').css('margin-top', '5px');
    });
</script>
</body>
</html>